name: mongodb
services:
  mongo:
    image: mongo:6.0.6
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: for UserID
        - container: PGID
          description:
            en_us: for GroupID
        - container: TZ
          description:
            en_us: Specify a timezone to use.
            zh_cn: 指定要使用的时区。
            ar_sa: حدد التوقيت المستخدم.
            de_de: Geben Sie eine Zeitzone an, die verwendet werden soll.
            es_es: Especifique la zona horaria a utilizar.
            fr_fr: Spécifiez un fuseau horaire à utiliser.
            hu_hu: Adja meg a használandó időzónát.
            it_it: Specifica un fuso orario da utilizzare.
            ru_ru: Укажите часовой пояс для использования.
            pl_pl: Określ strefę czasową do użycia.
            pt_br: Especifique um fuso horário a ser utilizado.
      volumes:
        - container: /data/configdb
          description:
            en_us: MongoDB Config
        - container: /data/db
          description:
            en_us: MongoDB Database file
      ports:
        - container: '27017'
          description:
            en_us: MongoDB Port
    ports:
      - target: 27017
        published: 27017
        protocol: tcp
    volumes:
      - type: bind
        source: /DATA/AppData/mongo/data/configdb
        target: /data/configdb
      - type: bind
        source: /DATA/AppData/mongo/data/db
        target: /data/db
    container_name: mongo
x-casaos:
  architectures:
    - amd64
    - arm64
  main: mongo
  description:
    en_us: MongoDB is a free and open-source cross-platform document-oriented database program. Classified as a NoSQL database program, MongoDB uses JSON-like documents with schemata. MongoDB is developed by MongoDB Inc., and is published under a combination of the Server Side Public License and the Apache License.
    zh_cn: MongoDB 是一个免费且开源的跨平台面向文档的数据库程序。MongoDB 被归类为 NoSQL 数据库程序，它使用具有模式的类似 JSON 的文档。MongoDB 由 MongoDB Inc. 开发，并在 Server Side Public License 和 Apache License 的组合下发布。
    ar_sa: MongoDB هو برنامج قاعدة بيانات وثائقية عابرة للمنصات ومفتوح المصدر ومجاني. يُصنف MongoDB كبرنامج قاعدة بيانات NoSQL، ويستخدم وثائق تشبه JSON مع تخطيطات. تم تطوير MongoDB بواسطة MongoDB Inc. وتم نشره تحت ترخيص Server Side Public وترخيص Apache.
    de_de: MongoDB ist ein kostenloses und Open-Source, plattformübergreifendes, dokumentenorientiertes Datenbankprogramm. MongoDB wird als NoSQL-Datenbankprogramm eingestuft und verwendet JSON-ähnliche Dokumente mit Schemata. MongoDB wird von MongoDB Inc. entwickelt und unter der Kombination der Server Side Public License und der Apache License veröffentlicht.
    es_es: MongoDB es un programa de base de datos orientado a documentos, gratuito y de código abierto, multiplataforma. MongoDB se clasifica como un programa de base de datos NoSQL y utiliza documentos similares a JSON con esquemas. MongoDB es desarrollado por MongoDB Inc. y se publica bajo una combinación de la Licencia Pública del Lado del Servidor y la Licencia Apache.
    fr_fr: MongoDB est un programme de base de données orienté documents, gratuit et open source, multiplateforme. MongoDB est classé comme un programme de base de données NoSQL et utilise des documents de type JSON avec des schémas. MongoDB est développé par MongoDB Inc. et est publié sous une combinaison de la Licence Publique du Côté Serveur et de la Licence Apache.
    hu_hu: A MongoDB egy ingyenes és nyílt forráskódú, többplatformos dokumentumorientált adatbázisprogram. A MongoDB-t NoSQL adatbázisprogramként sorolják be, JSON-szerű dokumentumokat használ sémákkal. A MongoDB-t a MongoDB Inc. fejleszti és a Server Side Public License és az Apache License kombinációjával jelenteti meg.
    it_it: MongoDB è un programma di database orientato ai documenti, gratuito e open source, multipiattaforma. MongoDB viene classificato come un programma di database NoSQL e utilizza documenti simili a JSON con schemi. MongoDB è sviluppato da MongoDB Inc. ed è pubblicato sotto una combinazione della Server Side Public License e dell'Apache License.
    ru_ru: MongoDB - это бесплатная и открытая кросс-платформенная программа для работы с документоориентированной базой данных. Она классифицируется как NoSQL-база данных и использует документы в формате JSON с схемами. MongoDB разработана компанией MongoDB Inc. и распространяется под комбинацией лицензий Server Side Public и Apache.
    pl_pl: MongoDB to darmowy i otwartoźródłowy, wieloplatformowy program bazodanowy zorientowany na dokumenty. MongoDB jest klasyfikowana jako program bazodanowy NoSQL i wykorzystuje dokumenty w formacie JSON z schematami. MongoDB jest rozwijana przez MongoDB Inc. i jest publikowana na zasadach licencji Server Side Public License oraz licencji Apache.
    pt_br: O MongoDB é um programa de banco de dados orientado a documentos, gratuito e de código aberto, multiplataforma. Classificado como um programa de banco de dados NoSQL, o MongoDB utiliza documentos semelhantes a JSON com esquemas. O MongoDB é desenvolvido pela MongoDB Inc. e é publicado sob uma combinação da Licença Pública do Lado do Servidor e da Licença Apache.
  tagline:
    en_us: A free and open-source cross-platform document-oriented database program. Classified as a NoSQL database program, MongoDB uses JSON-like documents with schemata.
    zh_cn: 一个免费且开源的跨平台面向文档的数据库程序。MongoDB 被归类为 NoSQL 数据库程序，它使用具有模式的类似 JSON 的文档。
    ar_sa: برنامج قاعدة بيانات وثائقية عابرة المنصات ومفتوح المصدر ومجاني. يُصنف MongoDB كبرنامج قاعدة بيانات NoSQL، ويستخدم وثائق تشبه JSON مع تخطيطات.
    de_de: Ein kostenloses und Open-Source, plattformübergreifendes, dokumentenorientiertes Datenbankprogramm. MongoDB wird als NoSQL-Datenbankprogramm eingestuft und verwendet JSON-ähnliche Dokumente mit Schemata.
    es_es: Un programa de base de datos orientado a documentos, gratuito y de código abierto, que es multiplataforma. MongoDB se clasifica como un programa de base de datos NoSQL y utiliza documentos similares a JSON con esquemas.
    fr_fr: Un programme de base de données orienté documents, gratuit et open source, multiplateforme. MongoDB est classé comme un programme de base de données NoSQL et utilise des documents de type JSON avec des schémas.
    hu_hu: Egy ingyenes, nyílt forráskódú, többplatformos dokumentumorientált adatbázisprogram. A MongoDB-t NoSQL adatbázisprogramként sorolják be, JSON-szerű dokumentumokat használ sémákkal.
    it_it: Un programma gratuito e open source di database orientato ai documenti, multipiattaforma. MongoDB viene classificato come un programma di database NoSQL e utilizza documenti simili a JSON con schemi.
    ru_ru: Бесплатная и открытая кросс-платформенная программная система, ориентированная на документы. MongoDB классифицируется как программная система базы данных NoSQL и использует документы в формате JSON с схемами.
    pl_pl: Darmowy, otwartoźródłowy program bazodanowy zorientowany na dokumenty, działający na wielu platformach. MongoDB jest klasyfikowana jako program bazodanowy NoSQL i wykorzystuje dokumenty w formacie JSON z schematami.
    pt_br: Um programa de banco de dados orientado a documentos, gratuito e de código aberto, multiplataforma. O MongoDB é classificado como um programa de banco de dados NoSQL e utiliza documentos semelhantes a JSON com esquemas.
  screenshot_link:
  developer: MongoDB Inc.
  author: WisdomSky
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Mongo/icon.png
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Mongo/icon.png
  category: Developer
  tips:
    before_install:
      en_us: This version of MongoDB requires a CPU with AVX support. This version of MongoDB will not work with ZimaBoard.
      zh_cn: 此版本的 MongoDB 需要支持 AVX 的 CPU。此版本的 MongoDB 不适用于 ZimaBoard。
      ar_sa: تتطلب هذه النسخة من MongoDB وحدة المعالجة المركزية التي تدعم AVX. هذه النسخة من MongoDB لن تعمل مع ZimaBoard.
      de_de: Diese Version von MongoDB erfordert eine CPU mit AVX-Unterstützung. Diese Version von MongoDB funktioniert nicht mit ZimaBoard.
      es_es: Esta versión de MongoDB requiere una CPU con soporte AVX. Esta versión de MongoDB no funcionará con ZimaBoard.
      fr_fr: Cette version de MongoDB nécessite un processeur avec prise en charge AVX. Cette version de MongoDB ne fonctionnera pas avec ZimaBoard.
      hu_hu: Az MongoDB ezen verziója AVX támogatást igényelő CPU-t igényel. Az MongoDB ezen verziója nem fog működni ZimaBoard-dal.
      it_it: Questa versione di MongoDB richiede una CPU con supporto AVX. Questa versione di MongoDB non funzionerà con ZimaBoard.
      ru_ru: Для работы этой версии MongoDB требуется процессор с поддержкой AVX. Эта версия MongoDB не будет работать с ZimaBoard.
      pl_pl: Ta wersja MongoDB wymaga procesora z obsługą AVX. Ta wersja MongoDB nie będzie działać z ZimaBoard.
      pt_br: Esta versão do MongoDB requer uma CPU com suporte AVX. Esta versão do MongoDB não funcionará com ZimaBoard.
      sv_se: Den här versionen av MongoDB kräver en CPU med AVX-stöd. Den här versionen av MongoDB kommer inte att fungera med ZimaBoard.
      uk_ua: Ця версія MongoDB вимагає процесора з підтримкою AVX. Ця версія MongoDB не працюватиме з ZimaBoard.
  title:
    en_us: MongoDB
